Name: xfce4-xfapplet-plugin
Version: 0.1.0
Release: alt2

Summary:  A plugin to use gnome-panel based applets inside the Xfce4 panel
License: %gpl2only
Group: Graphical desktop/XFce
Url: http://goodies.xfce.org/projects/panel-plugins/%name
Packager: XFCE Team <xfce@packages.altlinux.org>
Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4util-devel libxfcegui4-devel libxfce4panel-devel
BuildRequires: fontconfig gnome-vfs-devel imake libGConf-devel libX11-devel libavahi-glib libbonobo-devel libdbus-glib libgnome-panel-devel libstartup-notification xorg-cf-files intltool

Requires: xfce4-panel >= 4.8

%description
The XfApplet Plugin is a plugin for the Xfce 4 Panel which allows one to
use applets designed for the Gnome Panel inside the Xfce Panel. You can
think of XfApplet as a tiny Gnome Panel that lives inside the Xfce Panel
and allows you to show the same applets that the Gnome Panel is capable
of showing.

%prep
%setup

%build
# Fix desktop file path for xfce4-panel >= 4.8
sed -i 's|^desktopdir = \$(datadir)/xfce4/panel-plugins|desktopdir = \$(datadir)/xfce4/panel/plugins|' \
   panel-plugin/Makefile.am

%xfce4reconf
%configure \
    --enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel/plugins/*.desktop
%_pixmapsdir/*.svg
%_datadir/%name

%changelog
* Wed Feb 09 2011 Mikhail Efremov <sem@altlinux.org> 0.1.0-alt2
- Fix desktop file path for xfce4-panel >= 4.8.
- Spec updated, tar.bz2 -> tar.

* Fri Oct 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.1.0-alt1
- First build for Sisyphus.

